/* Voice Command - Bluetooth Controlled desk lamp by using Arduino Relay Safety Box
   Dev: Michalis Vasilakis // Date: 19/5/2015 // www.ardumotive.com                  */


const int relayPin = 3; // Relay signal pin to arduino digital pin 3

String state;          //State stores the income data
char character;


void setup()
{
	pinMode(relayPin, OUTPUT);	// Set relay pin (3) as output
    Serial.begin(9600);         // Initialize serial communication at 9600 bits per second
}

void loop()
{
    while(Serial.available()) {
    	character = Serial.read();
    	state.concat(character);
    }	
	
    //If state is equal with 'turn on', turn light on
    if (state == "*turn on#") {
    	digitalWrite(relayPin, HIGH);
    }
    //If state is equal with 'turn off', turn light off
    if (state == "*turn off#") {
    	digitalWrite(relayPin, LOW);
    }    
    if (character == '#'){
        state="";
    }     
    delay(200); // Small delay..
}
